Description

| suggest this in light of the attached test example (which is of a flute) where the pitch range is almost out of the range allowed by
Tony. (ex. the last note in the excerpt is completely out of the range). | think this is more of a problem for high instruments than for
low.

History

#1 - 2014-03-05 11:06 AM - Chris Cannam

- Assignee set to Matthias Mauch

Matthias, how is the maximum frequency determined?

I've seen some suspicious-looking hardcoded values (like maxValue = 500) in the pYIN code but | think those are output hints rather than determining

an actual maximum. Certainly in this flute example some of the correct results are above 500Hz.

#2 - 2014-03-05 05:40 PM - Matthias Mauch

Chris Cannam wrote:

Matthias, how is the maximum frequency determined?

I've seen some suspicious-looking hardcoded values (like maxValue = 500) in the pYIN code but | think those are output hints rather than

determining an actual maximum. Certainly in this flute example some of the correct results are above 500Hz.

| admit that is confusing, and could be solved better. Apart from where it is defined (which | should improve), the main problem is that | have to define
an HMM in which a greater frequency range is costly. Before knowing of the flute case, | modelled pitches from 55Hz and then four octaves, i.e. up to
880 Hz. Now | added another octave (but just saw that even that doesn't capture the last flute note (it's > 1600Hz).

Rachel, what is the frequency range you will need? | will then adapt PYIN.

M

#3 - 2014-03-05 05:59 PM - Rachel Bittner

| see the issue with having too large of a pitch range from a computation side. It's for that reason | suggested selecting a range, or a max value that
could keep the "total number" of pitches possible constant, but slide possible pitch range up and down. So in the flute case, something like 200Hz -
3000Hz would suffice. So, if that's possible, it seems like a better solution than extending the pitch range. However if it's not, | think capping at 4000Hz

would cover all of our cases.
#4 - 2014-03-05 06:07 PM - Matthias Mauch

Rachel Bittner wrote:
| see the issue with having too large of a pitch range from a computation side. It's for that reason | suggested selecting a range, or a max value
that could keep the "total number" of pitches possible constant, but slide possible pitch range up and down. So in the flute case, something like
200Hz - 3000Hz would suffice. So, if that's possible, it seems like a better solution than extending the pitch range. However if it's not, | think
capping at 4000Hz would cover all of our cases.

Great, thanks. And at the low end? Eb2, ie. 77.782 Hz, or A2 (110Hz)? Maybe we can get away with a single sufficient range.

(Also, what's the longest piece you're expecting?)

#5 - 2014-03-06 12:46 AM - Rachel Bittner

I'd opt for Eb2 on the low end.

For the longest duration...hard to say. At the moment it's around 5 min. Hopefully there won't be anything longer...

Downloads

MusicDelta_Latindazz_Premix_04.wav 11.5 MB 2014-03-05 Rachel Bittner
